trove-dashboard (16.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 15:50:02 +0000

trove-dashboard (16.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:27:36 +0000

trove-dashboard (16.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 14:16:44 -0400

trove-dashboard (15.0.0+git2021012814.2db165a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/watch: Scope to 16.x series and fix tarball path.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:22:53 -0500

trove-dashboard (15.0.0+git2020121016.a266b4b-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:06:51 -0500

trove-dashboard (15.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:52:20 -0400

trove-dashboard (15.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 15.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:27:32 -0400

trove-dashboard (15.0.0~b3~git2020091408.ceb7484-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:49:46 +0000

trove-dashboard (15.0.0~b2~git2020073016.fb011db-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-django224-tests.patch: Dropped. No longer needed.
  * d/p/skip-test.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 16:12:00 -0400

trove-dashboard (14.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:30:30 -0400

trove-dashboard (14.0.0~b3~git2020041315.a92ba65-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 15:39:30 -0400

trove-dashboard (14.0.0~b3~git2020032615.7db14da-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 15:30:16 +0000

trove-dashboard (14.0.0~b2~git2020021015.e03bad6-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Ussuri.
  * d/p/skip-django224-tests.patch: Refreshed.
  * d/p/skip-test.patch: Refreshed.

  [ Corey Bryant ]
  * d/control: Align horizon and python3-django (Build-)Depends with Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 10:20:05 -0500

trove-dashboard (14.0.0~b1~git2019121815.6f61e85-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:09:41 -0500

trove-dashboard (13.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 14:02:00 -0400

trove-dashboard (13.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 16:54:10 -0400

trove-dashboard (13.0.0~b2~git2019073113.e53d447-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.
  * d/p/skip-django224-tests.patch: Temporarily skip tests that fail with
    python3-django 2:2.2.4. This can be dropped once python3-django 2:2.2.4
    is removed from eoan-proposed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:22:35 -0400

trove-dashboard (13.0.0~b2~git2019073113.e53d447-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:47:58 -0400

trove-dashboard (13.0.0~b2~git2019073113.e53d447-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Fixed python3-django version.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 13:43:25 +0200

trove-dashboard (13.0.0~b1~git2019062012.e16a66d-0ubuntu1) eoan; urgency=medium

  * New upstream release 13.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:41:52 +0100

trove-dashboard (12.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:30:15 +0100

trove-dashboard (12.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 14:02:31 -0400

trove-dashboard (12.0.0~b1~git2019013120.3d091ed-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 20:58:17 -0500

trove-dashboard (12.0.0~b1~git2018112016.bda4bd1-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:39:28 -0500

trove-dashboard (11.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:38:27 -0400

trove-dashboard (11.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/p/skip-test.patch: Rebased.
  * d/p/removed-failed-test.patch: Removed. No longer needed.
  * d/p/remove-table-UpdateAction-and-declare-mox-dependency.patch: Dropped.
    Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 12:16:33 -0400

trove-dashboard (11.0.0~b1-0ubuntu3) cosmic; urgency=medium

  * d/control: Drop python(3)-trove-dashboard conflicts to align with
    other dashboards.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 11:35:24 -0400

trove-dashboard (11.0.0~b1-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-trove-dashboard package.
    - d/control: Make python(3)-trove-dashboard conflict against each
      other.
    - d/rules: Add Py3 support.
    - python(3)-trove-dashboard.postinst: Added py3 postinst script
      and updated both scripts to ensure proper python binary is used when
      collecting/compressing static assets.
  * d/rules: Drop dup cp of dashboards. python-django-horizon uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jul 2018 18:26:54 -0400

trove-dashboard (11.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-table-UpdateAction-and-declare-mox-dependency.patch:
    Cherry-picked from upstream master branch to fix failing tests.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.
  * d/control: Update Homepage location.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 10:43:49 -0400

trove-dashboard (10.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/python-trove-dashboard.postinst: Ensure /var/lib/openstack-dashboard
    exists before chown.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:05:49 -0400

trove-dashboard (10.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:54:47 -0500

trove-dashboard (10.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 08:56:47 -0500

trove-dashboard (10.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/python-trove-dashboard.postinst: Align with horizon and other
    dashboards by switching to using horizon instead of www-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 15:25:19 -0500

trove-dashboard (10.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:23:43 -0500

trove-dashboard (10.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 11:40:23 -0500

trove-dashboard (9.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Sep 2017 08:42:43 -0400

trove-dashboard (9.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/p/skip-test.patch: Skip test that is failing upstream and in
    package build on 9.0.0.0rc1.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:46:26 -0400

trove-dashboard (9.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Sun, 30 Apr 2017 13:09:35 +0200

trove-dashboard (8.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:34:19 -0500

trove-dashboard (8.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Feb 2017 08:48:00 -0500

trove-dashboard (8.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 14:46:30 -0500

trove-dashboard (8.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/python-trove-dashboard.postinst: Only remove .secret_key_store
    if it exists.
  * d/rules: Get orig tarball from openstack.org.
  * New upstream milestone for OpenStack Ocata.
  * d/p/Fix_Django_1.10_Compatibility.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jan 2017 14:22:56 -0500

trove-dashboard (7.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add upstream patch to fix Django 1.10 compat (Closes: #837238).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Dec 2016 16:41:50 +0100

trove-dashboard (7.0.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Added missing EPOC in (build-)depends: openstack-dashboard.
  * Missing EPOC for keystoneclient and swiftclient as well.
  * New upstream release.
  * Using OpenStack's Gerrit as VCS URLs:
    - Point .gitreview to packaging-deb project.
    - Add .gitreview to extend-diff-ignore.

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:28:06 +0200

trove-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:32:56 +0200

trove-dashboard (6.0.0~rc2-1) unstable; urgency=medium

  * Initial release. (Closes: #812963)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 21:39:26 +0800
